summaryrefslogtreecommitdiffstats
path: root/source/a/cpio/cpio.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/cpio/cpio.SlackBuild')
-rwxr-xr-xsource/a/cpio/cpio.SlackBuild31
1 files changed, 24 insertions, 7 deletions
diff --git a/source/a/cpio/cpio.SlackBuild b/source/a/cpio/cpio.SlackBuild
index 9cb6054bc..b078d0677 100755
--- a/source/a/cpio/cpio.SlackBuild
+++ b/source/a/cpio/cpio.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,9 +21,18 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PKGNAM=cpio
-VERSION=${VERSION:-2.9}
-ARCH=${ARCH:-x86_64}
-BUILD=${BUILD:-2}
+VERSION=$(ls $PKGNAM-*.tar.?z* | cut -d - -f 2 | rev | cut -f 3- -d . | rev)
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -50,10 +59,10 @@ fi
cd $TMP
rm -rf ${PKGNAM}-${VERSION}
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
cd ${PKGNAM}-$VERSION || exit 1
-zcat $CWD/cpio-2.9.gcc43.diff.gz | patch -p1 --verbose || exit 1
+#zcat $CWD/cpio-2.9.gcc43.diff.gz | patch -p1 --verbose || exit 1
# Make sure ownerships and permissions are sane:
chown -R root:root .
@@ -114,10 +123,18 @@ gzip -9f $PKG/usr/info/*
# Add a documentation directory:
mkdir -p $PKG/usr/doc/cpio-$VERSION
cp -a \
- ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README THANKS TODO \
+ ABOUT-NLS AUTHORS COPYING* NEWS README* THANKS TODO \
$PKG/usr/doc/cpio-$VERSION
chmod 644 $PKG/usr/doc/cpio-$VERSION/*
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc